Understanding the Prerequisites Checker's messages

I’m having difficulty understanding its messages:
Clear:

  • Python 3.8.5 (Passed: version 3.3.0 or greater installed.)

All these below unclear in one way or another (installed? available?, not installed?, OS library?, Python2 module?, Python 3 module?) & instructions link is not a link. When ‘not found’ does not say if OS library or Python module. Very few say ‘Passed’. Some of these have no info after the name. By some miracle Gramps appears to be working ok for me!

This sort of thing is mysterious: ‘Addon:Graph View : (GooCanvas:2.0)(PyGoocanvas: TBD?)(Graphviz 2.43)’

  • PangoCairo 1.0
  • Berkeley Database library (bsddb3: 5.3.28) (Python-bsddb3 : 6.2.7)
  • SQLite Database library (sqlite3: 3.31.1) (Python-sqlite3: 2.6.0)
  • xdg-utils (Manual check see instructions link)
  • librsvg2 (Manual check see instructions link)
  • language-pack-gnome-xx (Manual check see instructions link) for your Language
  • Graphviz 2.43
  • PyICU 2.4.2(ICU 66.1)
  • Ghostscript 9.50
  • python-fontconfig not found, (Requires version 0.5.x)
  • GtkSpell not found (Requires version 3.0 or greater installed.) (enchant module: not found)
  • rcs installed TBD (Requires version 5.9.4 or greater installed. If not on Microsoft Windows)
    Python Image Library (PIL) is needed for cropping images and LaTeX output.
  • (PILLOW 7.0.0)
  • GExiv2 : 0.10 (Exiv2 library : not found)
  • geocodeglib 1.0 (Passed: version 1.0 or greater installed.)
    For addon Networkchart, font White Rabbit provides an extremely readable result.
  • Installed font: found another font
  1. Addon:Family Sheet : (PILLOW 7.0.0)
  2. Addon:Graph View : (GooCanvas:2.0)(PyGoocanvas: TBD?)(Graphviz 2.43)
  3. Addon:PedigreeChart : (NumPy : 1.17.4 )
  4. Addon:Network Chart : (networkx 2.5)(Graphviz 2.43)
    and one of either: (pydotplus: not installed) or (pygraphviz: 1.6)
  5. Addon:GenealogyTree : (lualatex :not found)(PILLOW 7.0.0)
  6. Addon:HTMLView : (Webkit: not installed )
  7. Addon:GoogleMapKML : (Google Earth on Desktop : not found.)
  8. Addon:Webconnect Pack : (libwebconnect : Installed)(Passed)
  9. Addon:TMG Importer : (DBF not found.)(Requires version 0.96.8 or greater installed.)
  10. Addon:PostgreSQL Database library Support : (PostgreSQL not found.)(psycopg2 : not found.)
  11. Addon:Edit Image Exif Metadata : (PILLOW 7.0.0) GExiv2 : 0.10 (Exiv2 library : not found)
  12. Addon:Photo Tagging Gramplet : (NumPy: 1.17.4)(OpenCV facedetection: not found.)
  13. Addon:Lxml Gramplet : (lxml: not found. Requires version 3.3.3 or greater installed.)
  14. Addon:MongoDB : * Requires: MongoDB TBD / pymongo TBD

Gramps 5.1.2
Ubuntu 20.04

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.